Loading...
Searching...
No Matches
timing.h File Reference

Timing utilities. More...

Go to the source code of this file.

## Classes

class | gtsam::internal::TimingOutline
| Timing Entry, arranged in a tree. More...
class | gtsam::internal::AutoTicToc
| Small class that calls internal::tic at construction, and internol::toc when destroyed. More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Macros

#define | gttic_(label)
#define | gttoc_(label)
#define | longtic_(label)
#define | longtoc_(label)
#define | tictoc_getNode(variable, label)
#define | gttic(label)
#define | gttoc(label)
#define | longtic(label)
#define | longtoc(label)
#define | tictoc_finishedIteration()
#define | tictoc_print()
#define | tictoc_reset()

## Functions

size_t | gtsam::internal::getTicTocID (const char *descriptionC)
void | gtsam::internal::tic (size_t id, const char *labelC)
void | gtsam::internal::toc (size_t id, const char *label)
void | gtsam::tictoc_finishedIteration_ ()
void | gtsam::tictoc_print_ ()
void | gtsam::tictoc_print2_ ()
void | gtsam::tictoc_reset_ ()

## Variables

GTSAM_EXTERN_EXPORT boost::shared_ptr< TimingOutline > | gtsam::internal::gTimingRoot
GTSAM_EXTERN_EXPORT boost::weak_ptr< TimingOutline > | gtsam::internal::gCurrentTimer

## Detailed Description

Timing utilities.

Author
  Richard Roberts, Michael Kaess

Date
  Oct 5, 2010

## Macro Definition Documentation

## gttic

#define gttic | ( |  | label | ) |

Value:
((void)0)

## gttic_

#define gttic_ | ( |  | label | ) |

Value:
static const size_t label##_id_tic = ::gtsam::internal::getTicTocID(#label); \
::gtsam::internal::AutoTicToc label##_obj(label##_id_tic, #label)
gtsam::internal::AutoTicToc
Small class that calls internal::tic at construction, and internol::toc when destroyed.
Definition timing.h:199

## gttoc

#define gttoc | ( |  | label | ) |

Value:
((void)0)

## gttoc_

#define gttoc_ | ( |  | label | ) |

Value:
label##_obj.stop()

## longtic

#define longtic | ( |  | label | ) |

Value:
((void)0)

## longtic_

#define longtic_ | ( |  | label | ) |

Value:
static const size_t label##_id_tic = ::gtsam::internal::getTicTocID(#label); \
::gtsam::internal::ticInternal(label##_id_tic, #label)

## longtoc

#define longtoc | ( |  | label | ) |

Value:
((void)0)

## longtoc_

#define longtoc_ | ( |  | label | ) |

Value:
static const size_t label##_id_toc = ::gtsam::internal::getTicTocID(#label); \
::gtsam::internal::tocInternal(label##_id_toc, #label)

## tictoc_finishedIteration

#define tictoc_finishedIteration | ( |  | ) |

Value:
((void)0)

## tictoc_getNode

#define tictoc_getNode | ( |  | variable,
|  |  | label )

Value:
static const size_t label##_id_getnode = ::gtsam::internal::getTicTocID(#label); \
const boost::shared_ptr<const ::gtsam::internal::TimingOutline> variable = \
::gtsam::internal::gCurrentTimer.lock()->child(label##_id_getnode, #label, ::gtsam::internal::gCurrentTimer);

## tictoc_print

#define tictoc_print | ( |  | ) |

Value:
((void)0)

## tictoc_reset

#define tictoc_reset | ( |  | ) |

Value:
((void)0)